Aria: ArGlobalFunctor4< P1, P2, P3, P4 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalFunctor4< P1, P2, P3, P4 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalFunctor4< P1, P2, P3, P4 >:

List of all members.

## Detailed Description

### template<class P1, class P2, class P3, class P4>
class ArGlobalFunctor4< P1, P2, P3, P4 >

Functor for a global function with 4 parameters.

This is a class for global functions which take 4 parameters. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalFunctor4 (void(*func)(P1, P2, P3, P4), P1 p1, P2 p2, P3 p3, P4 p4)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor4 (void(*func)(P1, P2, P3, P4), P1 p1, P2 p2, P3 p3)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor4 (void(*func)(P1, P2, P3, P4), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor4 (void(*func)(P1, P2, P3, P4), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor4 (void(*func)(P1, P2, P3, P4))
| Constructor - supply function pointer.
| ArGlobalFunctor4 ()
| Constructor.
virtual void | invoke (P1 p1, P2 p2, P3 p3, P4 p4)
| Invokes the functor.
virtual void | invoke (P1 p1, P2 p2, P3 p3)
| Invokes the functor.
virtual void | invoke (P1 p1, P2 p2)
| Invokes the functor.
virtual void | invoke (P1 p1)
| Invokes the functor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setP2 (P2 p2)
| Set the default 2nd parameter.
virtual void | setP3 (P3 p3)
| Set the default third parameter.
virtual void | setP4 (P4 p4)
| Set the default fourth parameter.
virtual | ~ArGlobalFunctor4 ()
| Destructor.
## Protected Attributes
void(* | myFunc )(P1, P2, P3, P4)
P1 | myP1
P2 | myP2
P3 | myP3
P4 | myP4

## Constructor & Destructor Documentation

template<class P1, class P2, class P3, class P4>

ArGlobalFunctor4< P1, P2, P3, P4 >::ArGlobalFunctor4 | ( | void(*)(P1, P2, P3, P4) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class P1, class P2, class P3, class P4>

ArGlobalFunctor4< P1, P2, P3, P4 >::ArGlobalFunctor4 | ( | void(*)(P1, P2, P3, P4) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

template<class P1, class P2, class P3, class P4>

ArGlobalFunctor4< P1, P2, P3, P4 >::ArGlobalFunctor4 | ( | void(*)(P1, P2, P3, P4) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter

template<class P1, class P2, class P3, class P4>

ArGlobalFunctor4< P1, P2, P3, P4 >::ArGlobalFunctor4 | ( | void(*)(P1, P2, P3, P4) | func,
|  | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter
  | p3 | default third parameter

template<class P1, class P2, class P3, class P4>

ArGlobalFunctor4< P1, P2, P3, P4 >::ArGlobalFunctor4 | ( | void(*)(P1, P2, P3, P4) | func,
|  | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter
  | p3 | default third parameter
  | p4 | default fourth parameter

## Member Function Documentation

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter
  | p4 | fourth parameter

Implements ArFunctor4< P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implements ArFunctor4< P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArFunctor4< P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor4< P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::setP2 | ( | P2 | p2 | ) | `[inline, virtual]`

Set the default 2nd parameter.

Parameters:

  | p2 | default second parameter

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::setP3 | ( | P3 | p3 | ) | `[inline, virtual]`

Set the default third parameter.

Parameters:

  | p3 | default third parameter

template<class P1, class P2, class P3, class P4>

virtual void ArGlobalFunctor4< P1, P2, P3, P4 >::setP4 | ( | P4 | p4 | ) | `[inline, virtual]`

Set the default fourth parameter.

Parameters:

  | p4 | default fourth parameter

The documentation for this class was generated from the following file:

- ArFunctor.h